> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create ApiClient

> Create a new API client. An API client is used to programmatically interact
 with the Confidence APIs.



## OpenAPI

````yaml /api/iam/api/api-client.openapi.json post /v1/apiClients
openapi: 3.1.0
info:
  title: Confidence Api-client API
  version: 1.0.0
  description: API documentation for api-client
servers: []
security: []
paths:
  /v1/apiClients:
    post:
      summary: Create ApiClient
      description: >-
        Create a new API client. An API client is used to programmatically
        interact
         with the Confidence APIs.
      operationId: ApiClient.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: >-
                    Name of the API client on the form
                    `apiClients/{"<"}id{">"}`.
                displayName:
                  type: string
                  description: Human friendly name of the API client.
                description:
                  type: string
                  description: A description of the API client, e.g. what it is for.
                labels:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: string
                  description: General labels for this resource.
                owner:
                  type: string
                  description: |2-

                     The owner of the resource. If not set will default to the creator.
              required:
                - displayName
        required: true
      responses:
        '200':
          description: Returns a [ApiClient](/api-reference/schemas/apiclient).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.iam.v1.ApiClient'
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.ApiClient:
      title: ApiClient
      type: object
      description: |-
        An API client that can be used to programmatically access the Confidence
         APIs.
      properties:
        name:
          type: string
          description: Name of the API client on the form `apiClients/{"<"}id{">"}`.
        displayName:
          type: string
          description: Human friendly name of the API client.
        description:
          type: string
          description: A description of the API client, e.g. what it is for.
        clientId:
          type: string
          description: Id of the API client.
        clientSecret:
          type: string
          description: The client secret for the client.
        createTime:
          type: object
          description: Time when the API client was first created.
        updateTime:
          type: object
          description: Time when the API client was last updated.
        creator:
          type: string
          description: Reference to the identity that created this API client.
        updater:
          type: string
          description: Reference to the identity that last updated this API client.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General labels for this resource.
        owner:
          type: string
          description: |2-

             The owner of the resource. If not set will default to the creator.
        identity:
          type: string
          description: Reference to the identity this API client represents.
      required:
        - displayName
        - clientId
        - createTime
        - updateTime
        - creator
        - updater
        - identity
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````